Projects
API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Project ID or name.
length <= 100Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/projects/my-project/log-export"{ "endpoint": "string", "enabled": true, "headersConfigured": true, "revision": "string", "lastSuccessAt": "2019-08-24T14:15:22Z", "lastErrorAt": "2019-08-24T14:15:22Z", "lastError": "string"}API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Project ID or name.
length <= 100Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/projects/my-project/log-export" \ -H "Content-Type: application/json" \ -d '{ "endpoint": "http://example.com", "enabled": true }'{ "endpoint": "string", "enabled": true, "headersConfigured": true, "revision": "string", "lastSuccessAt": "2019-08-24T14:15:22Z", "lastErrorAt": "2019-08-24T14:15:22Z", "lastError": "string"}API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Project ID or name.
length <= 100Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/projects/my-project/log-export/test"{ "endpoint": "string", "enabled": true, "headersConfigured": true, "revision": "string", "lastSuccessAt": "2019-08-24T14:15:22Z", "lastErrorAt": "2019-08-24T14:15:22Z", "lastError": "string"}Retrieve all projects.
API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Search projects by name
Optional fields to include: deploymentCount, latestRelease
Maximum number of items to return per page
1 <= value <= 10020Cursor for pagination - omit for first page
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/projects"{ "items": [ { "id": "prj_mcytp6z3j91f7tn5ryqsfwtr", "name": "my-app", "gitRepository": { "type": "github", "repo": "alien/my-agent" }, "rootDirectory": "string", "deploymentPortalAppearance": { "avatarUrl": "http://example.com", "faviconUrl": "http://example.com", "preset": "clean", "accentColor": "blue", "title": "string", "subtitle": "string", "supportUrl": "http://example.com", "docsUrl": "http://example.com", "density": "comfortable" }, "packagesConfig": { "cli": { "binaryTargets": [ "windows-x64" ], "displayName": "string", "name": "string", "enabled": true }, "cloudformation": { "enabled": true, "displayName": "string", "requireManagementExternalId": true }, "operatorImage": { "brand": "string", "displayName": "string", "envPrefix": "string", "labelDomain": "string", "name": "string", "enabled": true }, "helm": { "chartName": "string", "description": "string", "logCollector": { "enabled": true, "mode": "podApi" }, "enabled": true, "setupResources": { "tokenSecret": { "key": "string", "name": "string", "prefix": "string", "randomLength": 16 }, "workloadReadAccess": { "rules": [ { "apiGroup": "string", "resources": [ "string" ] } ], "serviceAccountProfile": "string" } }, "runtimePersistence": { "enabled": true, "existingClaim": "string", "size": "string", "storageClassName": "string" } }, "terraform": { "enabled": true, "displayName": "string" } }, "domainId": "dom_469m0agk8luj4s16sakmmpdd", "defaultManagers": { "aws": "mgr_enxscjrqiiu2lrc672hwwuc5", "gcp": "mgr_enxscjrqiiu2lrc672hwwuc5", "azure": "mgr_enxscjrqiiu2lrc672hwwuc5", "kubernetes": "mgr_enxscjrqiiu2lrc672hwwuc5", "machines": "mgr_enxscjrqiiu2lrc672hwwuc5", "local": "mgr_enxscjrqiiu2lrc672hwwuc5" }, "projectCapabilities": null, "createdAt": "2019-08-24T14:15:22Z", "workspaceId": "ws_It13CUaGEhLLAB87simX0", "deploymentCount": 0, "latestRelease": { "id": "rel_WbhQgksrawSKIpEN0NAssHX9", "title": "string", "gitMetadata": { "commitSha": "dc36199b2234c6586ebe05ec94078a895c707e29", "commitMessage": "add method to measure Interaction to Next Paint (INP) (#36490)", "commitRef": "main", "commitDate": "2026-03-16T12:00:00Z", "dirty": true, "remoteUrl": "https://github.com/alienplatform/alien", "commitAuthorName": "John Doe", "commitAuthorEmail": "john@example.com", "commitAuthorLogin": "johndoe", "commitAuthorAvatarUrl": "https://github.com/johndoe.png", "provider": { "type": "github", "org": "string", "repo": "string" } }, "createdAt": "2019-08-24T14:15:22Z" } } ], "nextCursor": "string"}Create a new project.
API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/projects" \ -H "Content-Type: application/json" \ -d '{ "name": "my-app" }'{ "id": "prj_mcytp6z3j91f7tn5ryqsfwtr", "name": "my-app", "gitRepository": { "type": "github", "repo": "alien/my-agent" }, "rootDirectory": "string", "deploymentPortalAppearance": { "avatarUrl": "http://example.com", "faviconUrl": "http://example.com", "preset": "clean", "accentColor": "blue", "title": "string", "subtitle": "string", "supportUrl": "http://example.com", "docsUrl": "http://example.com", "density": "comfortable" }, "packagesConfig": { "cli": { "binaryTargets": [ "windows-x64" ], "displayName": "string", "name": "string", "enabled": true }, "cloudformation": { "enabled": true, "displayName": "string", "requireManagementExternalId": true }, "operatorImage": { "brand": "string", "displayName": "string", "envPrefix": "string", "labelDomain": "string", "name": "string", "enabled": true }, "helm": { "chartName": "string", "description": "string", "logCollector": { "enabled": true, "mode": "podApi" }, "enabled": true, "setupResources": { "tokenSecret": { "key": "string", "name": "string", "prefix": "string", "randomLength": 16 }, "workloadReadAccess": { "rules": [ { "apiGroup": "string", "resources": [ "string" ] } ], "serviceAccountProfile": "string" } }, "runtimePersistence": { "enabled": true, "existingClaim": "string", "size": "string", "storageClassName": "string" } }, "terraform": { "enabled": true, "displayName": "string" } }, "domainId": "dom_469m0agk8luj4s16sakmmpdd", "defaultManagers": { "aws": "mgr_enxscjrqiiu2lrc672hwwuc5", "gcp": "mgr_enxscjrqiiu2lrc672hwwuc5", "azure": "mgr_enxscjrqiiu2lrc672hwwuc5", "kubernetes": "mgr_enxscjrqiiu2lrc672hwwuc5", "machines": "mgr_enxscjrqiiu2lrc672hwwuc5", "local": "mgr_enxscjrqiiu2lrc672hwwuc5" }, "projectCapabilities": null, "createdAt": "2019-08-24T14:15:22Z", "workspaceId": "ws_It13CUaGEhLLAB87simX0", "githubSetup": { "pullRequestUrl": "http://example.com", "workflowUrl": "http://example.com" }, "gitRepositoryWarning": { "code": "string", "message": "string", "source": null, "retryable": false, "context": null, "hint": "string", "httpStatusCode": 100, "internal": true, "requestId": "string" }}Retrieve a project by ID or name.
API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Project ID or name.
length <= 100Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/projects/my-project"{ "id": "prj_mcytp6z3j91f7tn5ryqsfwtr", "name": "my-app", "gitRepository": { "type": "github", "repo": "alien/my-agent" }, "rootDirectory": "string", "deploymentPortalAppearance": { "avatarUrl": "http://example.com", "faviconUrl": "http://example.com", "preset": "clean", "accentColor": "blue", "title": "string", "subtitle": "string", "supportUrl": "http://example.com", "docsUrl": "http://example.com", "density": "comfortable" }, "packagesConfig": { "cli": { "binaryTargets": [ "windows-x64" ], "displayName": "string", "name": "string", "enabled": true }, "cloudformation": { "enabled": true, "displayName": "string", "requireManagementExternalId": true }, "operatorImage": { "brand": "string", "displayName": "string", "envPrefix": "string", "labelDomain": "string", "name": "string", "enabled": true }, "helm": { "chartName": "string", "description": "string", "logCollector": { "enabled": true, "mode": "podApi" }, "enabled": true, "setupResources": { "tokenSecret": { "key": "string", "name": "string", "prefix": "string", "randomLength": 16 }, "workloadReadAccess": { "rules": [ { "apiGroup": "string", "resources": [ "string" ] } ], "serviceAccountProfile": "string" } }, "runtimePersistence": { "enabled": true, "existingClaim": "string", "size": "string", "storageClassName": "string" } }, "terraform": { "enabled": true, "displayName": "string" } }, "domainId": "dom_469m0agk8luj4s16sakmmpdd", "defaultManagers": { "aws": "mgr_enxscjrqiiu2lrc672hwwuc5", "gcp": "mgr_enxscjrqiiu2lrc672hwwuc5", "azure": "mgr_enxscjrqiiu2lrc672hwwuc5", "kubernetes": "mgr_enxscjrqiiu2lrc672hwwuc5", "machines": "mgr_enxscjrqiiu2lrc672hwwuc5", "local": "mgr_enxscjrqiiu2lrc672hwwuc5" }, "projectCapabilities": null, "createdAt": "2019-08-24T14:15:22Z", "workspaceId": "ws_It13CUaGEhLLAB87simX0"}Update a project.
API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Project ID or name.
length <= 100Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/projects/my-project" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "prj_mcytp6z3j91f7tn5ryqsfwtr", "name": "my-app", "gitRepository": { "type": "github", "repo": "alien/my-agent" }, "rootDirectory": "string", "deploymentPortalAppearance": { "avatarUrl": "http://example.com", "faviconUrl": "http://example.com", "preset": "clean", "accentColor": "blue", "title": "string", "subtitle": "string", "supportUrl": "http://example.com", "docsUrl": "http://example.com", "density": "comfortable" }, "packagesConfig": { "cli": { "binaryTargets": [ "windows-x64" ], "displayName": "string", "name": "string", "enabled": true }, "cloudformation": { "enabled": true, "displayName": "string", "requireManagementExternalId": true }, "operatorImage": { "brand": "string", "displayName": "string", "envPrefix": "string", "labelDomain": "string", "name": "string", "enabled": true }, "helm": { "chartName": "string", "description": "string", "logCollector": { "enabled": true, "mode": "podApi" }, "enabled": true, "setupResources": { "tokenSecret": { "key": "string", "name": "string", "prefix": "string", "randomLength": 16 }, "workloadReadAccess": { "rules": [ { "apiGroup": "string", "resources": [ "string" ] } ], "serviceAccountProfile": "string" } }, "runtimePersistence": { "enabled": true, "existingClaim": "string", "size": "string", "storageClassName": "string" } }, "terraform": { "enabled": true, "displayName": "string" } }, "domainId": "dom_469m0agk8luj4s16sakmmpdd", "defaultManagers": { "aws": "mgr_enxscjrqiiu2lrc672hwwuc5", "gcp": "mgr_enxscjrqiiu2lrc672hwwuc5", "azure": "mgr_enxscjrqiiu2lrc672hwwuc5", "kubernetes": "mgr_enxscjrqiiu2lrc672hwwuc5", "machines": "mgr_enxscjrqiiu2lrc672hwwuc5", "local": "mgr_enxscjrqiiu2lrc672hwwuc5" }, "projectCapabilities": null, "createdAt": "2019-08-24T14:15:22Z", "workspaceId": "ws_It13CUaGEhLLAB87simX0"}Delete a project. The project must have no deployments.
API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Project ID or name.
length <= 100Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Response Body
application/json
application/json
application/json
curl -X DELETE "https://example.com/v1/projects/my-project"Retrieve redacted project-level Google Cloud OAuth provider settings.
API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Project ID or name.
length <= 100Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/projects/my-project/gcp-oauth-provider"{ "mode": "alien-managed", "redirectUris": [ "http://example.com" ]}Update project-level Google Cloud OAuth provider settings.
API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Project ID or name.
length <= 100Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/projects/my-project/gcp-oauth-provider" \ -H "Content-Type: application/json" \ -d '{ "mode": "alien-managed" }'{ "mode": "alien-managed", "redirectUris": [ "http://example.com" ]}Connect a GitHub repository or Alien template to an existing project.
API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Project ID or name.
length <= 100Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/projects/my-project/source" \ -H "Content-Type: application/json" \ -d '{ "mode": "repository", "gitRepository": { "type": "github", "repo": "alien/my-agent" } }'{ "id": "prj_mcytp6z3j91f7tn5ryqsfwtr", "name": "my-app", "gitRepository": { "type": "github", "repo": "alien/my-agent" }, "rootDirectory": "string", "deploymentPortalAppearance": { "avatarUrl": "http://example.com", "faviconUrl": "http://example.com", "preset": "clean", "accentColor": "blue", "title": "string", "subtitle": "string", "supportUrl": "http://example.com", "docsUrl": "http://example.com", "density": "comfortable" }, "packagesConfig": { "cli": { "binaryTargets": [ "windows-x64" ], "displayName": "string", "name": "string", "enabled": true }, "cloudformation": { "enabled": true, "displayName": "string", "requireManagementExternalId": true }, "operatorImage": { "brand": "string", "displayName": "string", "envPrefix": "string", "labelDomain": "string", "name": "string", "enabled": true }, "helm": { "chartName": "string", "description": "string", "logCollector": { "enabled": true, "mode": "podApi" }, "enabled": true, "setupResources": { "tokenSecret": { "key": "string", "name": "string", "prefix": "string", "randomLength": 16 }, "workloadReadAccess": { "rules": [ { "apiGroup": "string", "resources": [ "string" ] } ], "serviceAccountProfile": "string" } }, "runtimePersistence": { "enabled": true, "existingClaim": "string", "size": "string", "storageClassName": "string" } }, "terraform": { "enabled": true, "displayName": "string" } }, "domainId": "dom_469m0agk8luj4s16sakmmpdd", "defaultManagers": { "aws": "mgr_enxscjrqiiu2lrc672hwwuc5", "gcp": "mgr_enxscjrqiiu2lrc672hwwuc5", "azure": "mgr_enxscjrqiiu2lrc672hwwuc5", "kubernetes": "mgr_enxscjrqiiu2lrc672hwwuc5", "machines": "mgr_enxscjrqiiu2lrc672hwwuc5", "local": "mgr_enxscjrqiiu2lrc672hwwuc5" }, "projectCapabilities": null, "createdAt": "2019-08-24T14:15:22Z", "workspaceId": "ws_It13CUaGEhLLAB87simX0", "githubSetup": { "pullRequestUrl": "http://example.com", "workflowUrl": "http://example.com" }, "gitRepositoryWarning": { "code": "string", "message": "string", "source": null, "retryable": false, "context": null, "hint": "string", "httpStatusCode": 100, "internal": true, "requestId": "string" }, "template": { "sourceRepository": "alienplatform/alien", "forkRepository": "string", "templatePath": "examples/customer-models-ts", "resolvedRootDirectory": "string" }}Get the deployment portal domain binding for a project.
API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Project ID or name.
length <= 100Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/projects/my-project/deployment-portal-domain"{ "deploymentPortalEndpoint": { "id": "dend_1bb6gdvm1bs74acqkjstcgv", "workspaceId": "ws_It13CUaGEhLLAB87simX0", "domainId": "dom_469m0agk8luj4s16sakmmpdd", "kind": "deployment_portal", "owner": { "type": "workspace", "id": "string" }, "hostname": "string", "status": "waiting_for_domain", "provider": "string", "providerState": { "property1": null, "property2": null }, "managedDnsRecords": [ { "name": "string", "type": "string", "value": "string", "ttl": 1 } ], "error": { "code": "string", "context": null, "hint": "string", "httpStatusCode": 100, "internal": true, "message": "string", "retryable": false, "source": null }, "lockedAt": "2019-08-24T14:15:22Z", "lockedBy": "string", "retryAttempts": 0, "nextStepAfter": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }, "packageEndpoint": { "id": "dend_1bb6gdvm1bs74acqkjstcgv", "workspaceId": "ws_It13CUaGEhLLAB87simX0", "domainId": "dom_469m0agk8luj4s16sakmmpdd", "kind": "deployment_portal", "owner": { "type": "workspace", "id": "string" }, "hostname": "string", "status": "waiting_for_domain", "provider": "string", "providerState": { "property1": null, "property2": null }, "managedDnsRecords": [ { "name": "string", "type": "string", "value": "string", "ttl": 1 } ], "error": { "code": "string", "context": null, "hint": "string", "httpStatusCode": 100, "internal": true, "message": "string", "retryable": false, "source": null }, "lockedAt": "2019-08-24T14:15:22Z", "lockedBy": "string", "retryAttempts": 0, "nextStepAfter": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }}Create a project by forking alienplatform/alien into your namespace.
API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/projects/import-template" \ -H "Content-Type: application/json" \ -d '{ "name": "my-app", "targetNamespace": "string", "templatePath": "examples/customer-models-ts" }'{ "id": "prj_mcytp6z3j91f7tn5ryqsfwtr", "name": "my-app", "gitRepository": { "type": "github", "repo": "alien/my-agent" }, "rootDirectory": "string", "deploymentPortalAppearance": { "avatarUrl": "http://example.com", "faviconUrl": "http://example.com", "preset": "clean", "accentColor": "blue", "title": "string", "subtitle": "string", "supportUrl": "http://example.com", "docsUrl": "http://example.com", "density": "comfortable" }, "packagesConfig": { "cli": { "binaryTargets": [ "windows-x64" ], "displayName": "string", "name": "string", "enabled": true }, "cloudformation": { "enabled": true, "displayName": "string", "requireManagementExternalId": true }, "operatorImage": { "brand": "string", "displayName": "string", "envPrefix": "string", "labelDomain": "string", "name": "string", "enabled": true }, "helm": { "chartName": "string", "description": "string", "logCollector": { "enabled": true, "mode": "podApi" }, "enabled": true, "setupResources": { "tokenSecret": { "key": "string", "name": "string", "prefix": "string", "randomLength": 16 }, "workloadReadAccess": { "rules": [ { "apiGroup": "string", "resources": [ "string" ] } ], "serviceAccountProfile": "string" } }, "runtimePersistence": { "enabled": true, "existingClaim": "string", "size": "string", "storageClassName": "string" } }, "terraform": { "enabled": true, "displayName": "string" } }, "domainId": "dom_469m0agk8luj4s16sakmmpdd", "defaultManagers": { "aws": "mgr_enxscjrqiiu2lrc672hwwuc5", "gcp": "mgr_enxscjrqiiu2lrc672hwwuc5", "azure": "mgr_enxscjrqiiu2lrc672hwwuc5", "kubernetes": "mgr_enxscjrqiiu2lrc672hwwuc5", "machines": "mgr_enxscjrqiiu2lrc672hwwuc5", "local": "mgr_enxscjrqiiu2lrc672hwwuc5" }, "projectCapabilities": null, "createdAt": "2019-08-24T14:15:22Z", "workspaceId": "ws_It13CUaGEhLLAB87simX0", "githubSetup": { "pullRequestUrl": "http://example.com", "workflowUrl": "http://example.com" }, "gitRepositoryWarning": { "code": "string", "message": "string", "source": null, "retryable": false, "context": null, "hint": "string", "httpStatusCode": 100, "internal": true, "requestId": "string" }, "template": { "sourceRepository": "alienplatform/alien", "forkRepository": "string", "templatePath": "examples/customer-models-ts", "resolvedRootDirectory": "string" }}Get template URLs for deploying setup stacks in this project.
API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Project ID or name.
length <= 100Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/projects/my-project/template-urls"{ "aws": { "templateUrl": "http://example.com", "launchStackUrl": "http://example.com" }}Get the active release stack and portal-visible setup availability for deployment-link configuration.
API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Project ID or name.
length <= 100Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/projects/my-project/deployment-link-setup"{ "activeRelease": { "id": "rel_WbhQgksrawSKIpEN0NAssHX9", "version": "string", "stack": { "aws": null, "gcp": null, "azure": null, "kubernetes": null, "machines": null, "local": null, "test": null } }, "supportedPlatforms": [ "aws" ], "setupItems": [ "deployment" ], "visiblePackageTypes": [ "cli" ], "visibleSetupMethods": [ "cloudformation" ], "setupPackagesStatus": "preparing"}Get the production channel's current release. When deploymentId is provided, returns that deployment's effective release: its pin, or its followed channel's current release.
API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Project ID or name.
length <= 100Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Optional deployment ID to check for pinned release
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/projects/my-project/active-release"{ "id": "rel_WbhQgksrawSKIpEN0NAssHX9", "projectId": "string", "version": "string", "title": "string", "gitMetadata": { "commitSha": "dc36199b2234c6586ebe05ec94078a895c707e29", "commitMessage": "add method to measure Interaction to Next Paint (INP) (#36490)", "commitRef": "main", "commitDate": "2026-03-16T12:00:00Z", "dirty": true, "remoteUrl": "https://github.com/alienplatform/alien", "commitAuthorName": "John Doe", "commitAuthorEmail": "john@example.com", "commitAuthorLogin": "johndoe", "commitAuthorAvatarUrl": "https://github.com/johndoe.png", "provider": { "type": "github", "org": "string", "repo": "string" } }, "createdAt": "2019-08-24T14:15:22Z", "stack": { "aws": null, "gcp": null, "azure": null, "kubernetes": null, "machines": null, "local": null, "test": null }, "setupFingerprints": { "property1": { "target": "string", "fingerprint": "string", "version": 1 }, "property2": { "target": "string", "fingerprint": "string", "version": 1 } }, "rootDirectory": "string", "createdByUserId": "string", "workspaceId": "string"}Preview which customer model connections a configuration change may affect.
API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Project ID or name.
length <= 100Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/projects/my-project/project-capabilities/models/impact" \ -H "Content-Type: application/json" \ -d '{ "requirements": [ { "publicModelId": "string", "clientApis": [ "openai-chat" ], "required": true } ] }'{ "connectedCustomers": 0, "affectedCustomers": 0, "verificationNeeded": 0, "affected": [ { "deploymentGroupId": "string", "name": "string", "externalId": "string", "provider": "string", "reason": "provider-no-longer-compatible" } ], "truncated": true}Set the capabilities offered by a Project. Removing a capability prevents new setup without deleting existing customer resources.
API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Project ID or name.
length <= 100Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/projects/my-project/project-capabilities" \ -H "Content-Type: application/json" \ -d '{ "enabled": [ "deployments" ] }'{ "schemaVersion": 1, "capabilities": { "deployments": { "enabled": true, "methods": [ "framework" ] }, "keys": { "enabled": true, "applicationEncryption": true }, "models": { "enabled": true, "allowedProviders": [ "aws-bedrock" ], "requirements": [ { "publicModelId": "string", "clientApis": [ "openai-chat" ], "required": true } ] }, "buckets": { "enabled": true, "access": "read-write" }, "registry": { "enabled": true, "repositories": [ "string" ], "credentialPolicy": "pull-only" }, "remoteSandbox": { "enabled": true, "customImage": "string", "baseImage": "string", "azure": { "registryImage": "string", "idleSuspendSeconds": 1 }, "gcp": { "image": "string", "maxLifetimeSeconds": 1 }, "maxLifetimeSeconds": 1 } }}Enable deployments for a Project.
API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Project ID or name.
length <= 100Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/projects/my-project/project-capabilities/deployments" \ -H "Content-Type: application/json" \ -d '{ "enabled": true, "methods": [ "framework" ] }'{ "schemaVersion": 1, "capabilities": { "deployments": { "enabled": true, "methods": [ "framework" ] }, "keys": { "enabled": true, "applicationEncryption": true }, "models": { "enabled": true, "allowedProviders": [ "aws-bedrock" ], "requirements": [ { "publicModelId": "string", "clientApis": [ "openai-chat" ], "required": true } ] }, "buckets": { "enabled": true, "access": "read-write" }, "registry": { "enabled": true, "repositories": [ "string" ], "credentialPolicy": "pull-only" }, "remoteSandbox": { "enabled": true, "customImage": "string", "baseImage": "string", "azure": { "registryImage": "string", "idleSuspendSeconds": 1 }, "gcp": { "image": "string", "maxLifetimeSeconds": 1 }, "maxLifetimeSeconds": 1 } }}Get static headers added to AI requests for each provider.
API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Project ID or name.
length <= 100Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/projects/my-project/ai-provider-headers"{ "providers": [ { "provider": "aws-bedrock", "headers": [ { "name": "string", "value": "string" } ] } ]}Replace the static headers added to AI requests for each provider.
API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Project ID or name.
length <= 100Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/projects/my-project/ai-provider-headers" \ -H "Content-Type: application/json" \ -d '{ "providers": [ { "provider": "aws-bedrock", "headers": [ { "name": "string", "value": "string" } ] } ] }'{ "providers": [ { "provider": "aws-bedrock", "headers": [ { "name": "string", "value": "string" } ] } ]}Configure customer-owned model providers without requiring an application Release.
API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Project ID or name.
length <= 100Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/projects/my-project/project-capabilities/models" \ -H "Content-Type: application/json" \ -d '{ "requirements": [ { "publicModelId": "string", "clientApis": [ "openai-chat" ], "required": true } ] }'{ "projectCapabilities": { "schemaVersion": 1, "capabilities": { "deployments": { "enabled": true, "methods": [ "framework" ] }, "keys": { "enabled": true, "applicationEncryption": true }, "models": { "enabled": true, "allowedProviders": [ "aws-bedrock" ], "requirements": [ { "publicModelId": "string", "clientApis": [ "openai-chat" ], "required": true } ] }, "buckets": { "enabled": true, "access": "read-write" }, "registry": { "enabled": true, "repositories": [ "string" ], "credentialPolicy": "pull-only" }, "remoteSandbox": { "enabled": true, "customImage": "string", "baseImage": "string", "azure": { "registryImage": "string", "idleSuspendSeconds": 1 }, "gcp": { "image": "string", "maxLifetimeSeconds": 1 }, "maxLifetimeSeconds": 1 } } }, "source": { "definitionId": "customer-ai", "definitionVersion": "string", "releaseId": "string" }, "packages": [ { "type": "cloudformation", "status": "pending" } ]}Enable customer-owned application encryption without requiring an application Release.
API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Project ID or name.
length <= 100Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/projects/my-project/project-capabilities/keys" \ -H "Content-Type: application/json" \ -d '{ "applicationEncryption": true }'{ "projectCapabilities": { "schemaVersion": 1, "capabilities": { "deployments": { "enabled": true, "methods": [ "framework" ] }, "keys": { "enabled": true, "applicationEncryption": true }, "models": { "enabled": true, "allowedProviders": [ "aws-bedrock" ], "requirements": [ { "publicModelId": "string", "clientApis": [ "openai-chat" ], "required": true } ] }, "buckets": { "enabled": true, "access": "read-write" }, "registry": { "enabled": true, "repositories": [ "string" ], "credentialPolicy": "pull-only" }, "remoteSandbox": { "enabled": true, "customImage": "string", "baseImage": "string", "azure": { "registryImage": "string", "idleSuspendSeconds": 1 }, "gcp": { "image": "string", "maxLifetimeSeconds": 1 }, "maxLifetimeSeconds": 1 } } }, "source": { "definitionId": "customer-ai", "definitionVersion": "string", "releaseId": "string" }, "packages": [ { "type": "cloudformation", "status": "pending" } ]}Enable buckets without requiring a project Release.
API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Project ID or name.
length <= 100Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/projects/my-project/project-capabilities/buckets" \ -H "Content-Type: application/json" \ -d '{ "access": "read-write" }'{ "projectCapabilities": { "schemaVersion": 1, "capabilities": { "deployments": { "enabled": true, "methods": [ "framework" ] }, "keys": { "enabled": true, "applicationEncryption": true }, "models": { "enabled": true, "allowedProviders": [ "aws-bedrock" ], "requirements": [ { "publicModelId": "string", "clientApis": [ "openai-chat" ], "required": true } ] }, "buckets": { "enabled": true, "access": "read-write" }, "registry": { "enabled": true, "repositories": [ "string" ], "credentialPolicy": "pull-only" }, "remoteSandbox": { "enabled": true, "customImage": "string", "baseImage": "string", "azure": { "registryImage": "string", "idleSuspendSeconds": 1 }, "gcp": { "image": "string", "maxLifetimeSeconds": 1 }, "maxLifetimeSeconds": 1 } } }, "source": { "definitionId": "customer-ai", "definitionVersion": "string", "releaseId": "string" }, "packages": [ { "type": "cloudformation", "status": "pending" } ]}Enable customer-owned container registries without requiring an application Release.
API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Project ID or name.
length <= 100Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/projects/my-project/project-capabilities/registry" \ -H "Content-Type: application/json" \ -d '{ "repositories": [ "string" ], "credentialPolicy": "pull-only" }'{ "projectCapabilities": { "schemaVersion": 1, "capabilities": { "deployments": { "enabled": true, "methods": [ "framework" ] }, "keys": { "enabled": true, "applicationEncryption": true }, "models": { "enabled": true, "allowedProviders": [ "aws-bedrock" ], "requirements": [ { "publicModelId": "string", "clientApis": [ "openai-chat" ], "required": true } ] }, "buckets": { "enabled": true, "access": "read-write" }, "registry": { "enabled": true, "repositories": [ "string" ], "credentialPolicy": "pull-only" }, "remoteSandbox": { "enabled": true, "customImage": "string", "baseImage": "string", "azure": { "registryImage": "string", "idleSuspendSeconds": 1 }, "gcp": { "image": "string", "maxLifetimeSeconds": 1 }, "maxLifetimeSeconds": 1 } } }, "source": { "definitionId": "customer-ai", "definitionVersion": "string", "releaseId": "string" }, "packages": [ { "type": "cloudformation", "status": "pending" } ]}Enable a customer-owned sandbox a hosted caller can drive through Remote Bindings. Without a custom image it publishes to every cloud on Alien's default image, which the project then follows. A custom image publishes to AWS; a public one with a linux/amd64 variant also publishes to Azure, and to GCP once Alien has built its GCP image; a private one publishes to Azure from its azureImage and to GCP from its gcpImage.
API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Project ID or name.
length <= 100Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/projects/my-project/project-capabilities/remote-sandbox" \ -H "Content-Type: application/json" \ -d '{}'{ "projectCapabilities": { "schemaVersion": 1, "capabilities": { "deployments": { "enabled": true, "methods": [ "framework" ] }, "keys": { "enabled": true, "applicationEncryption": true }, "models": { "enabled": true, "allowedProviders": [ "aws-bedrock" ], "requirements": [ { "publicModelId": "string", "clientApis": [ "openai-chat" ], "required": true } ] }, "buckets": { "enabled": true, "access": "read-write" }, "registry": { "enabled": true, "repositories": [ "string" ], "credentialPolicy": "pull-only" }, "remoteSandbox": { "enabled": true, "customImage": "string", "baseImage": "string", "azure": { "registryImage": "string", "idleSuspendSeconds": 1 }, "gcp": { "image": "string", "maxLifetimeSeconds": 1 }, "maxLifetimeSeconds": 1 } } }, "source": { "definitionId": "customer-ai", "definitionVersion": "string", "releaseId": "string" }, "packages": [ { "type": "cloudformation", "status": "pending" } ]}Ensure the project's private image repository exists and return where to push a private sandbox base image. Name the pushed image as the remote sandbox base image afterwards.
API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Project ID or name.
length <= 100Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/projects/my-project/project-capabilities/remote-sandbox/base-image-repository"{ "registryHost": "string", "repository": "string"}Get safe, server-derived capability status for a Project.
API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Project ID or name.
length <= 100Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/projects/my-project/project-capabilities/overview"{ "generatedAt": "2019-08-24T14:15:22Z", "configurationStatus": "valid", "hasAppRemoteSandbox": true, "summary": { "groups": 0, "capabilities": { "models": { "enabled": true, "connected": 0, "settingUp": 0, "needsAttention": 0, "revoked": 0, "notConnected": 0 }, "keys": { "enabled": true, "connected": 0, "settingUp": 0, "needsAttention": 0, "revoked": 0, "notConnected": 0 }, "buckets": { "enabled": true, "connected": 0, "settingUp": 0, "needsAttention": 0, "revoked": 0, "notConnected": 0 }, "registry": { "enabled": true, "connected": 0, "settingUp": 0, "needsAttention": 0, "revoked": 0, "notConnected": 0 }, "remoteSandbox": { "enabled": true, "connected": 0, "settingUp": 0, "needsAttention": 0, "revoked": 0, "notConnected": 0 } } }, "groups": [ { "deploymentGroupId": "dg_r27ict8c7vcgsumpj90ackf7b", "name": "string", "externalId": "string", "createdAt": "2019-08-24T14:15:22Z", "capabilities": { "models": { "capability": "models", "enabled": true, "state": "not-connected", "deploymentId": "dep_0c29fq4a2yjb7kx3smwdgxlc", "source": "capability", "sandboxUpdate": "up-to-date", "observation": { "provider": "string", "platform": "aws", "resourceId": "string", "location": "string", "account": "string", "observedAt": "2019-08-24T14:15:22Z", "stale": true, "partial": true, "health": "unknown", "lifecycle": "string", "message": "string" }, "modelCoverage": [ { "publicModelId": "string", "required": true, "availability": "available", "blockerCodes": [ "string" ], "accessTest": "verified", "accessObservedAt": "2019-08-24T14:15:22Z" } ], "directProvider": { "provider": "anthropic", "providerEndpoint": "string", "keyFingerprint": "string", "credentialStatus": "pending", "credentialCheckedAt": "2019-08-24T14:15:22Z", "catalogObservedAt": "2019-08-24T14:15:22Z" }, "root": { "state": "pending", "createdAt": "2019-08-24T14:15:22Z" }, "registry": { "repositories": 0, "credentials": 0, "credentialPolicy": "pull-only", "lastVerifiedAt": "2019-08-24T14:15:22Z" } }, "keys": { "capability": "models", "enabled": true, "state": "not-connected", "deploymentId": "dep_0c29fq4a2yjb7kx3smwdgxlc", "source": "capability", "sandboxUpdate": "up-to-date", "observation": { "provider": "string", "platform": "aws", "resourceId": "string", "location": "string", "account": "string", "observedAt": "2019-08-24T14:15:22Z", "stale": true, "partial": true, "health": "unknown", "lifecycle": "string", "message": "string" }, "modelCoverage": [ { "publicModelId": "string", "required": true, "availability": "available", "blockerCodes": [ "string" ], "accessTest": "verified", "accessObservedAt": "2019-08-24T14:15:22Z" } ], "directProvider": { "provider": "anthropic", "providerEndpoint": "string", "keyFingerprint": "string", "credentialStatus": "pending", "credentialCheckedAt": "2019-08-24T14:15:22Z", "catalogObservedAt": "2019-08-24T14:15:22Z" }, "root": { "state": "pending", "createdAt": "2019-08-24T14:15:22Z" }, "registry": { "repositories": 0, "credentials": 0, "credentialPolicy": "pull-only", "lastVerifiedAt": "2019-08-24T14:15:22Z" } }, "buckets": { "capability": "models", "enabled": true, "state": "not-connected", "deploymentId": "dep_0c29fq4a2yjb7kx3smwdgxlc", "source": "capability", "sandboxUpdate": "up-to-date", "observation": { "provider": "string", "platform": "aws", "resourceId": "string", "location": "string", "account": "string", "observedAt": "2019-08-24T14:15:22Z", "stale": true, "partial": true, "health": "unknown", "lifecycle": "string", "message": "string" }, "modelCoverage": [ { "publicModelId": "string", "required": true, "availability": "available", "blockerCodes": [ "string" ], "accessTest": "verified", "accessObservedAt": "2019-08-24T14:15:22Z" } ], "directProvider": { "provider": "anthropic", "providerEndpoint": "string", "keyFingerprint": "string", "credentialStatus": "pending", "credentialCheckedAt": "2019-08-24T14:15:22Z", "catalogObservedAt": "2019-08-24T14:15:22Z" }, "root": { "state": "pending", "createdAt": "2019-08-24T14:15:22Z" }, "registry": { "repositories": 0, "credentials": 0, "credentialPolicy": "pull-only", "lastVerifiedAt": "2019-08-24T14:15:22Z" } }, "registry": { "capability": "models", "enabled": true, "state": "not-connected", "deploymentId": "dep_0c29fq4a2yjb7kx3smwdgxlc", "source": "capability", "sandboxUpdate": "up-to-date", "observation": { "provider": "string", "platform": "aws", "resourceId": "string", "location": "string", "account": "string", "observedAt": "2019-08-24T14:15:22Z", "stale": true, "partial": true, "health": "unknown", "lifecycle": "string", "message": "string" }, "modelCoverage": [ { "publicModelId": "string", "required": true, "availability": "available", "blockerCodes": [ "string" ], "accessTest": "verified", "accessObservedAt": "2019-08-24T14:15:22Z" } ], "directProvider": { "provider": "anthropic", "providerEndpoint": "string", "keyFingerprint": "string", "credentialStatus": "pending", "credentialCheckedAt": "2019-08-24T14:15:22Z", "catalogObservedAt": "2019-08-24T14:15:22Z" }, "root": { "state": "pending", "createdAt": "2019-08-24T14:15:22Z" }, "registry": { "repositories": 0, "credentials": 0, "credentialPolicy": "pull-only", "lastVerifiedAt": "2019-08-24T14:15:22Z" } }, "remoteSandbox": { "capability": "models", "enabled": true, "state": "not-connected", "deploymentId": "dep_0c29fq4a2yjb7kx3smwdgxlc", "source": "capability", "sandboxUpdate": "up-to-date", "observation": { "provider": "string", "platform": "aws", "resourceId": "string", "location": "string", "account": "string", "observedAt": "2019-08-24T14:15:22Z", "stale": true, "partial": true, "health": "unknown", "lifecycle": "string", "message": "string" }, "modelCoverage": [ { "publicModelId": "string", "required": true, "availability": "available", "blockerCodes": [ "string" ], "accessTest": "verified", "accessObservedAt": "2019-08-24T14:15:22Z" } ], "directProvider": { "provider": "anthropic", "providerEndpoint": "string", "keyFingerprint": "string", "credentialStatus": "pending", "credentialCheckedAt": "2019-08-24T14:15:22Z", "catalogObservedAt": "2019-08-24T14:15:22Z" }, "root": { "state": "pending", "createdAt": "2019-08-24T14:15:22Z" }, "registry": { "repositories": 0, "credentials": 0, "credentialPolicy": "pull-only", "lastVerifiedAt": "2019-08-24T14:15:22Z" } } } } ]}API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Project ID or name.
length <= 100Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/projects/my-project/remote-operator-summary"{ "generatedAt": "2019-08-24T14:15:22Z", "project": { "id": "string", "name": "string" }, "nextAction": { "kind": "connect", "target": "setup", "deploymentId": "string", "message": "string" }, "installations": { "status": "ready", "freshness": "fresh", "sourceUpdatedAt": "2019-08-24T14:15:22Z", "error": { "code": "string", "message": "string" }, "data": { "items": [ { "id": "string", "name": "string", "deploymentGroupId": "string", "platform": "kubernetes", "region": "string", "state": "unhealthy", "stateReason": "string", "status": "string", "lastHeartbeatAt": "2019-08-24T14:15:22Z", "lastSuccessfulDiagnosticAt": "2019-08-24T14:15:22Z", "operatorVersion": "string", "operatorScope": "string", "operatorPermission": "string", "expectedImage": { "source": "package", "packageId": "string", "packageVersion": "string", "image": "string", "digest": "string", "renderedAt": "2019-08-24T14:15:22Z" }, "previousExpectedImage": { "source": "package", "packageId": "string", "packageVersion": "string", "image": "string", "digest": "string", "renderedAt": "2019-08-24T14:15:22Z" }, "runningImage": { "source": "package", "packageId": "string", "packageVersion": "string", "image": "string", "digest": "string", "observedAt": "2019-08-24T14:15:22Z" }, "imageStatus": "matching", "operatorUpdate": { "packageId": "string", "packageVersion": "string", "image": "string", "digest": "string", "builtAt": "2019-08-24T14:15:22Z" }, "operationSync": { "status": "preparing", "targetBundleHash": "string", "observedBundleHash": "string", "targetSetAt": "2019-08-24T14:15:22Z", "observedAt": "2019-08-24T14:15:22Z", "error": "string" }, "application": { "state": "no-desired", "reason": "string", "reported": { "releaseId": "string", "version": "string" }, "desired": { "releaseId": "string", "version": "string", "source": "channel", "helmChart": { "chart": "string", "version": "string" }, "images": [ "string" ] }, "releaseChannel": "string", "rollback": { "releaseId": "string", "version": "string" } }, "permissions": { "status": "current", "recordedAt": "2019-08-24T14:15:22Z", "reason": "string" } } ], "unregisteredSetups": [ { "deploymentGroupId": "string", "name": "string", "platform": "kubernetes", "createdAt": "2019-08-24T14:15:22Z", "valuesExpireAt": "2019-08-24T14:15:22Z" } ] } }, "release": { "status": "ready", "freshness": "fresh", "sourceUpdatedAt": "2019-08-24T14:15:22Z", "error": { "code": "string", "message": "string" }, "data": { "reported": [ { "releaseId": "string", "version": "string", "createdAt": "2019-08-24T14:15:22Z", "deployments": 1, "latest": true } ], "older": 0, "unknown": 0, "rollout": [ { "releaseId": "string", "version": "string", "upToDate": 0, "waiting": 0, "unknown": 0, "failed": 0 } ] } }, "access": { "status": "ready", "freshness": "fresh", "sourceUpdatedAt": "2019-08-24T14:15:22Z", "error": { "code": "string", "message": "string" }, "data": { "pending": 0, "active": 0, "recent": [ { "id": "string", "deploymentId": "string", "title": "string", "status": "pending-approval", "approvedUntil": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ] } }, "operations": { "status": "ready", "freshness": "fresh", "sourceUpdatedAt": "2019-08-24T14:15:22Z", "error": { "code": "string", "message": "string" }, "data": { "selected": [ { "name": "string", "version": "string", "source": "builtin", "operations": [ { "name": "string", "tier": "read-only" } ] } ], "sync": { "preparing": 0, "syncing": 0, "ready": 0, "stuck": 0 }, "generatedPermissions": [ { "plugin": "string", "pluginVersion": "string", "operation": "string", "tier": "read-only", "cloud": { "azure": [], "aws": [ { "effect": "Allow", "actions": [ "string" ], "resources": [ "string" ], "condition": { "property1": { "property1": "string", "property2": "string" }, "property2": { "property1": "string", "property2": "string" } }, "reason": "string" } ], "gcp": [ { "permissions": [ "string" ], "scope": "projects/${projectName}", "reason": "string" } ] }, "kubernetes": { "schemaVersion": 1, "rules": [ { "apiGroup": "string", "resource": "string", "verbs": [ "get" ], "resourceNames": [], "reason": "string" } ] } } ] } }, "activity": { "status": "ready", "freshness": "fresh", "sourceUpdatedAt": "2019-08-24T14:15:22Z", "error": { "code": "string", "message": "string" }, "data": { "recent": [ { "invocationId": "string", "deploymentId": "string", "commandId": "string", "plugin": "string", "pluginVersion": "string", "operation": "string", "tier": "read-only", "accessRequestId": "string", "commandState": "string", "verificationState": "not-required", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ], "investigations": [ { "id": "string", "triggerType": "string", "deploymentId": "string", "status": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ], "debugSessions": [ { "id": "string", "deploymentId": "string", "state": "string", "createdAt": "2019-08-24T14:15:22Z", "expiresAt": "2019-08-24T14:15:22Z" } ], "lastVerifiedOperation": { "invocationId": "string", "deploymentId": "string", "commandId": "string", "plugin": "string", "pluginVersion": "string", "operation": "string", "tier": "read-only", "accessRequestId": "string", "commandState": "SUCCEEDED", "verificationState": "not-required", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "verification": { "state": "not-required", "attempts": 0, "maxAttempts": 0, "deadline": "2019-08-24T14:15:22Z", "reason": "string" }, "sensitiveOutput": { "kind": "none" }, "resultAvailable": true, "result": null, "completedAt": "2019-08-24T14:15:22Z" } } }}API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Project ID or name.
length <= 100Unique identifier for the deployment.
dep_[0-9a-z]{28}$Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/projects/my-project/remote-operator-summary/installations/dep_0c29fq4a2yjb7kx3smwdgxlc/accept-image" \ -H "Content-Type: application/json" \ -d '{ "operatorImage": { "source": "package", "packageId": "string", "packageVersion": "string", "image": "string", "digest": "string", "renderedAt": "2019-08-24T14:15:22Z" } }'{ "operatorImage": { "source": "package", "packageId": "string", "packageVersion": "string", "image": "string", "digest": "string", "renderedAt": "2019-08-24T14:15:22Z" }}Records the permissions compiled from every built-in operation plugin as the installation's installed permissions. Call it after re-applying the installation's Helm release, manifest, cloud access, or CloudFormation stack.
API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Project ID or name.
length <= 100Unique identifier for the deployment.
dep_[0-9a-z]{28}$Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/projects/my-project/remote-operator-summary/installations/dep_0c29fq4a2yjb7kx3smwdgxlc/accept-permissions" \ -H "Content-Type: application/json" \ -d '{ "reviewedPermissions": [ { "name": "string", "operations": [ { "name": "string", "permissions": { "aws": [ { "effect": "Allow", "actions": [ "string" ], "resources": [ "string" ], "condition": { "property1": { "property1": "string", "property2": "string" }, "property2": { "property1": "string", "property2": "string" } }, "reason": "string" } ], "gcp": [ { "permissions": [ "string" ], "scope": "projects/${projectName}", "reason": "string" } ] } } ] } ] }'{ "recordedAt": "2019-08-24T14:15:22Z"}API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Project ID or name.
length <= 100Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100"24h"Value in
- "24h"
- "7d"
- "30d"
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/projects/my-project/ai-metrics"{ "status": "unavailable", "reason": "not-configured"}API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Project ID or name.
length <= 100Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100"24h"Value in
- "24h"
- "7d"
- "30d"
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/projects/my-project/encryption-metrics"{ "status": "unavailable", "reason": "not-configured"}API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Project ID or name.
length <= 100Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100"24h"Value in
- "24h"
- "7d"
- "30d"
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/projects/my-project/sandbox-metrics"{ "status": "unavailable", "reason": "not-configured"}